<?xml version="1.0" encoding="utf-8"?>

<creole>

    <containers>

        <container name='ltspserver'>
            <interface linkto="eth1" ip="adresse_ip_eclair_link" mask="adresse_mask_eclair_link" bcast="adresse_bcast_eclair_link">eth0</interface>
            <fstab name='tftp_path' mount_point='/var/lib/tftpboot' name_type='SymLinkOption' />
            <fstab name='home_path' name_type='SymLinkOption' />
        </container>

        <container name='dhcp'>
            <fstab name='tftp_path' mount_point='/var/lib/tftpboot' name_type='SymLinkOption' />
        </container>

        <container name='gaspacho-agent' group='ltspserver' />

    </containers>

    <variables>

        <family name='Général'>

            <variable name='eole_module' redefine='True'>
                <value>amonecoleeclair</value>
            </variable>

            <variable name='eclair_link_interface' hidden='True'>
                <value>eth1</value>
            </variable>

        </family>

        <family name='Services'>

            <!-- Override 30_ltsp.xml -->
            <variable name='activer_client_ldap' redefine='True' hidden='True'>
                <value>local</value>
            </variable>

            <!-- Override 30_ltsp.xml -->
            <variable name='activer_dhcp' redefine='True' mode='expert'>
                <value>oui</value>
            </variable>

            <!-- Override 30_ltsp.xml -->
            <variable name='activer_tftp' redefine='True' mode='expert'>
                <value>oui</value>
            </variable>

            <variable name='activer_gaspacho' redefine='True'>
                <value>oui</value>
            </variable>

        </family>

        <family name='ltsp'>

            <variable name='adresse_serveur_nfs' redefine='True' disabled='True'/>

            <variable name="ltsp_client_type" redefine='True'>
                <value>fat</value>
            </variable>

        </family>

        <family name='tftp'>

            <variable name='tftp_path' type='filename' description='Chemin de base vers le répertoire TFTP' hidden='True'>
                <value>/opt/tftpboot</value>
            </variable>

            <variable name='chemin_fichier_pxe' redefine='True' mode='expert' hidden='False'>
                <value>/default/pxelinux.0</value>
            </variable>

        </family>

        <family name='Interface-1'>

            <variable name='adresse_ip_eclair_link' type='ip' description="Adresse IP pour le serveur Eclair" mandatory='True' />
            <variable name='adresse_mask_eclair_link' type='netmask' description="Masque de sous réseau pour le serveur Eclair" mandatory='True' mode='expert' />
            <variable name='adresse_bcast_eclair_link' type='broadcast' description="Broadcast pour le serveur Eclair" mandatory='True' mode='expert' />

        </family>

        <family name='gaspacho-agent'>
            <variable name='adresse_ip_gaspacho' redefine='True' />
        </family>

        <separators>
            <separator name="adresse_ip_eclair_link">Adresse pour le serveur Eclair</separator>
        </separators>

    </variables>

    <constraints>

        <check name="valid_in_network" target="adresse_ip_eclair_link" level="warning">
            <param type='eole'>adresse_network_eth1</param>
            <param type='eole'>adresse_netmask_eth1</param>
        </check>

        <check name="valid_differ" target="adresse_ip_eclair_link">
            <param type='eole'>adresse_ip_eth1</param>
        </check>

        <check name="valid_differ" target="adresse_ip_eclair_link">
            <param type='eole'>adresse_ip_fichier_link</param>
        </check>

        <check name="valid_differ" target="adresse_ip_eclair_link">
            <param type='eole'>adresse_ip_eth1_proxy_link</param>
        </check>

        <fill name='calc_val' target='adresse_bcast_eclair_link'>
            <param type='eole' name='valeur'>adresse_broadcast_eth1</param>
        </fill>

        <fill name='calc_val' target='adresse_mask_eclair_link'>
            <param type='eole' name='valeur'>adresse_netmask_eth1</param>
        </fill>

        <fill name='calc_val' target='activer_gaspacho_agent'>
            <param type='eole' name='valeur'>activer_gaspacho</param>
        </fill>

        <fill name='calc_val' target='adresse_ip_gaspacho'>
            <param type='eole'>web_url</param>
        </fill>

    </constraints>

</creole>
